المشاريع
GET https://ozan.fun/api/projects/
curl --request GET \
--url 'https://ozan.fun/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://ozan.fun/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
| المعلمات | التفاصيل | الوصف |
|---|---|---|
| search | اختياري سلسلة | سلسلة البحث. |
| search_by | اختياري سلسلة | ما هو الحقل الذي تبحث فيه؟ القيم المسموح بها هي: name. |
| datetime_field | اختياري سلسلة | القيم المسموح بها: datetime, last_datetime |
| datetime_start | اختياري سلسلة | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | اختياري سلسلة | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | اختياري سلسلة | ما هو الحقل الذي يجب ترتيب النتائج به. القيم المسموح بها هي: project_id, datetime, last_datetime, name. |
| order_type | اختياري سلسلة | ترتيب النتائج. القيم المسموح بها هي: ASC للترتيب التصاعدي، وDESC للترتيب التنازلي. |
| page | اختياري عدد صحيح | رقم الصفحة التي تريد الحصول على النتائج منها. الافتراضي هو 1. |
| results_per_page | اختياري عدد صحيح | كم عدد النتائج التي تريدها لكل صفحة. القيم المسموح بها هي: 10, 25, 50, 100, 250, 500, 1000. القيمة الافتراضية هي 25. |
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"email_reports": [1],
"last_datetime": null,
"datetime": "2026-07-05 04:53:04",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://ozan.fun/api/projects?page=1",
"last": "https://ozan.fun/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://ozan.fun/api/projects?page=1"
}
}
GET https://ozan.fun/api/projects/{project_id}
curl --request GET \
--url 'https://ozan.fun/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://ozan.fun/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"email_reports": [1],
"last_datetime": null,
"datetime": "2026-07-05 04:53:04",
}
}
POST https://ozan.fun/api/projects
| المعلمات | التفاصيل | الوصف |
|---|---|---|
| name | مطلوب سلسلة | - |
| color | اختياري سلسلة | - |
| email_reports | اختياري مجموعة | معرفات معالج الإشعارات |
curl --request POST \
--url 'https://ozan.fun/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
--form 'email_reports[]=1' \
--url 'https://ozan.fun/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
--form 'email_reports[]=1' \
{
"data": {
"id": 1,
"email_reports": [1]
}
}
POST https://ozan.fun/api/projects/{project_id}
| المعلمات | التفاصيل | الوصف |
|---|---|---|
| name | اختياري سلسلة | - |
| color | اختياري سلسلة | - |
| email_reports | اختياري مجموعة | معرفات معالج الإشعارات |
curl --request POST \
--url 'https://ozan.fun/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
--form 'email_reports[]=1' \
--url 'https://ozan.fun/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
--form 'email_reports[]=1' \
{
"data": {
"id": 1,
"email_reports": [1]
}
}
DELETE https://ozan.fun/api/projects/{project_id}
curl --request DELETE \
--url 'https://ozan.fun/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://ozan.fun/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \